How do I go to an older version on OpenGL?

#1

A program I got needs an older version of OpenGL, does anyone know how to get it?

#2

You typically can’t control the version(s) of OpenGL supported by the system. OpenGL is fundamentally an interface to video hardware. The supported version depends upon the hardware and the drivers for that hardware. With the exception of OpenGL 3.1, each version is backward-compatible with all previous versions.

If some code won’t work with versions later than the one for which it was written, that’s almost always a bug in the code. And there is rarely any alternative to fixing the code. Drivers don’t provide the option to limit the supported version; it’s too much effort with not enough benefit. Most software written for OpenGL 1.1 still works fine with the latest hardware and OpenGL 4.6.